# 可赛化工安全生产平台 API

> 项目 Fork 自 [basic-api-project](https://gitlab.yiring.com/basic/basic-api-project)

## 开发环境

<!-- prettier-ignore -->
- JDK 1.8+ (推荐同时安装最新 LTS 版本) [下载](https://www.oracle.com/java/technologies/downloads/#jdk17-windows)
- NodeJS [latest](https://nodejs.org/zh-cn/)
- IDEA [下载](https://www.jetbrains.com/idea/)
- Navicat Premium [下载](http://www.downcc.com/soft/430673.html)
- RedisDesktopManager [下载](https://github.com/FuckDoctors/rdm-builder)
- Docker(**可选**) [了解](https://www.docker.com/)
- [常用插件清单](./doc/plugins.md)

## 开始

<!-- prettier-ignore -->
- [开发规范说明](./doc/workflow.md)
- [技术栈说明](./doc/technique.md)

---

## TODO

<!-- prettier-ignore -->
- [x] 完成项目构建，开发文档编写
- [x] [conventional-changelog](https://www.cnblogs.com/mengfangui/p/12634845.html)
- [x] 用户及权限模块（目录/菜单/按钮），预览初始化权限配置 [SQL 脚本](./basic-auth/src/main/resources/init-test-mysql.sql)
- [x] 通用文件上传模块
- [ ] 通用字典管理模块
- [ ] XXL-JOB 定时任务模块
- [x] @Convert 处理 Raw JSON 数据格式转换
- [ ] 扩展 PostgresDialect 实现时序查询函数
