/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.location;

import com.yiring.app.param.location.LocationTagAddParam;
import com.yiring.app.param.location.LocationTagDeleteParam;
import com.yiring.app.param.location.LocationTagFindParam;
import com.yiring.app.param.location.LocationTagModifyParam;
import com.yiring.app.vo.location.LocationTagVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

/**
 * 定位标签
 * @author LJ-2204
 * @date 2022/4/14
 */
public interface LocationTagService {
    /**
     * 新增定位标签
     * @param param 入参
     * @return Result<String>
     */
    Result<String> addLocationTag(LocationTagAddParam param);

    /**
     * 分页查询
     * @param param 入参
     * @return Result<PageVo<LocationTagVo>>
     */
    Result<PageVo<LocationTagVo>> findLocationTagPage(LocationTagFindParam param);

    /**
     * 销毁定位标签
     * @param param 入参
     * @return Result<String>
     */
    Result<String> deleteLocationTag(LocationTagDeleteParam param);

    /**
     * 导出定位标签
     * @param param 入参
     * @param response 响应信息
     */
    void exportLocationTagInfo(LocationTagFindParam param, HttpServletResponse response);

    /**
     * 导入定位标签
     * @param file 文件
     * @return Result<String>
     */
    Result<String> importLocationTagInfo(MultipartFile file);

    /**
     * 修改定位标签
     * @param param 入参
     * @return Result<String>
     */
    Result<String> modifyLocationTag(LocationTagModifyParam param, IdParam idParam);
}
